#!/bin/bash

user="postgres"
host="localhost"
port="5432"
database="postgres"

while [[ "$#" -gt 0 ]]; do
    case $1 in
        -U) user="$2"; shift ;;
        -h) host="$2"; shift ;;
        -p) port="$2"; shift ;;
        -d) database="$2"; shift ;;
        *) dump_file="$1" ;;
    esac
    shift
done

if [ -z "$dump_file" ]; then
    echo "Specify dump file as last argument"
    exit 1
fi

psql -U $user -h $host -p $port $database < pre-restore.sql
pg_restore -U $user -h $host -p $port -d $database $dump_file
psql -U $user -h $host -p $port $database < path-indexes.sql
psql -U $user -h $host -p $port $database < ../02-views.sql
